<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<!--
IGAC proyecto SNC

@author  javier.barajas
@description  Pantalla de llamado al visor
@cu  CU-NP-FA-213 Bloquear predios para zonas en condiciones especiales
@version  1.0
@modified: javier.barajas inclusion de iconos a los botones

TODO: si se hace update de toda la forma en alguno de los botones de acción, la interacción con el
mapa se daña.

-->


<h:form id="seleccionVisorGeofraficoForm"
        xmlns="http://www.w3.org/1999/xhtml"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:p="http://primefaces.org/ui">

    <h:inputHidden id="paramSeleccionPrediosActualizacion"
                   value="#{bloquearPrediosParaZonasEnCondicionesEspeciales.valorSeleccionActualizacion}" />
    <!-- Input para enviar parámetro con codigos de predios -->
    <h:inputHidden id="codigoManzanasHidden666"
                   value="#{bloquearPrediosParaZonasEnCondicionesEspeciales.seleccionVisor}" 
                   />

    <!-- commandLink para activar el envio de numeros prediales desde el visor -->
    <p:commandLink id="linkAdicionarManzanasASeleccionados666"
                   process="@this, codigoManzanasHidden666"
                   style="visibility: hidden" />
    <p:messages id="msgsSVG" showDetail="false" globalOnly="false" />

    <p:spacer height="5" />


    <legend>
        <h:outputText styleClass="legendTitle"
                      value="Seleccionar manzanas mediante visor geografico" />
    </legend>

    <p:panel header="Seleccion Barrios a Mostrar por el Visor">
        <h:panelGrid columns="2" cellspacing="7" >
            <h:outputText value="Numero de Barrios:" />
            <h:outputText value="#{bloquearPrediosParaZonasEnCondicionesEspeciales.numeroBarriosMunicipio}" />
            <h:outputText value="Seleccione el Barrio:" />
            <h:selectOneMenu id="departamentoSeleccionado" label="Departamento"
                             value="#{bloquearPrediosParaZonasEnCondicionesEspeciales.seleccionBarrio}">
                <f:selectItem itemLabel="Barrios..." itemValue="" />
                <f:selectItems value="#{bloquearPrediosParaZonasEnCondicionesEspeciales.selectListaBarrios}" />
                <p:ajax listener="#{bloquearPrediosParaZonasEnCondicionesEspeciales.cargarManzanasVisor}"/>
            </h:selectOneMenu>
        </h:panelGrid>
    </p:panel>

    <p:panel header="Seleccion" rendered="#{bloquearPrediosParaZonasEnCondicionesEspeciales.rederedConsultaVisor}">

        <h:panelGrid columns="2" cellspacing="7"  >
            <h:outputText value="Numero de Manzanas:" />
            <h:outputText value="#{bloquearPrediosParaZonasEnCondicionesEspeciales.numeroManzanasSeleccionadas}" />
            <h:outputText value="Numero de Predios:" />
            <h:outputText value="#{bloquearPrediosParaZonasEnCondicionesEspeciales.numeroPrediosSeleccionados}" />
        </h:panelGrid>
    </p:panel>

    <h:panelGrid columns="4" cellspacing="7">
        <p:commandButton id="verMapa" widgetVar="verMapaVar" value="Ver mapa"
                         icon="ui-icon-image"
                         onclick="cargarMapaZoomToFeature('#{bloquearPrediosParaZonasEnCondicionesEspeciales.applicationClientName}',
                                         '#{bloquearPrediosParaZonasEnCondicionesEspeciales.tokenParam}',
                                         '#{bloquearPrediosParaZonasEnCondicionesEspeciales.moduleLayer}',
                                         '#{bloquearPrediosParaZonasEnCondicionesEspeciales.moduleTools}',
                                         '#{bloquearPrediosParaZonasEnCondicionesEspeciales.codigoPrediosParaVisor}');"/>

        <p:commandButton id="cargarSeleccion" action="#{bloquearPrediosParaZonasEnCondicionesEspeciales.seleccionVisorManzanas}" 
                         value="Cargar Seleccion" update=":seleccionVisorGeofraficoForm"
                         icon="ui-icon-plus"/>

        <p:commandButton id="volver" value="Volver" onclick="hide()" icon="ui-icon-close"
                         update=":bloquearPredioEnCondicionesEspecialesTabView:bloquearPrediosEspecialesForm" />


    </h:panelGrid>



    <ui:include src="../../util/visorGeografico.xhtml" />	

</h:form>